Package Details: blender-git 84454.690478027bd-1

Git Clone URL: https://aur.archlinux.org/blender-git.git (read-only)
Package Base: blender-git
Description: A fully integrated 3D graphics creation suite (development)
Upstream URL: http://blender.org/
Licenses: GPL
Conflicts: blender
Provides: blender
Submitter: stativ
Maintainer: fbrennan
Last Packager: fbrennan
Votes: 71
Popularity: 0.043863
First Submitted: 2013-12-05 10:11
Last Updated: 2019-01-28 03:49

Dependencies (20)

Required by (54)

Sources (6)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

berilac commented on 2018-01-27 08:54

Appear to have solved the issue. Should anyone run into it themselves:

Edit the PKGBUILD in the build() section, in the cmake command add the following, or a variant of

-DCYCLES_CUDA_BINARIES_ARCH:STRING="sm_20;sm_21;sm_30;sm_35;sm_37;sm_50;sm_52;sm_60;sm_61"

I had to remove sm_20 and 21 before it would compile for me.

berilac commented on 2018-01-19 08:14

I believe I ran into something similar to the following error before. I can't remember how I eventually got around it...

[ 17%] Generating kernel_sm_20.cubin nvcc fatal : Value 'sm_20' is not defined for option 'gpu-architecture' make[2]: [intern/cycles/kernel/CMakeFiles/cycles_kernel_cuda.dir/build.make:255: intern/cycles/kernel/kernel_sm_20.cubin] Error 1 make[1]: [CMakeFiles/Makefile2:1465: intern/cycles/kernel/CMakeFiles/cycles_kernel_cuda.dir/all] Error 2

Any ideas? googling thus far has not been very much use. Perhaps it involves a CMAKE flag for makepkg, but I am uncertain...

Cusith commented on 2017-11-13 15:42

Somewhat tangential to this package as it doesn't enable it but...
If you want openvdb with blender-git you need either to revert https://developer.blender.org/rB0d4e519b748c and use the lines from the blender package in community
export CFLAGS="${CFLAGS} -DOPENVDB_3_ABI_COMPATIBLE"
export CXXFLAGS="${CXXFLAGS} -DOPENVDB_3_ABI_COMPATIBLE"
Or
Recompile openvdb. The commits comments say you need openvdb with the below compile option
-DOPENVDB_ENABLE_3_ABI_COMPATIBLE=OFF
I did the recompile option which appears to work, haven't tested the revert option the above is just a guess at what is needed. Hopefully of use to someone.

nucularJohn commented on 2017-08-18 14:14

@habys if you want JACK and SDL add:

-DWITH_JACK=ON \
-DWITH_SDL=ON \

into 'cmake' in PKGBBUILD.

habys commented on 2017-07-02 22:25

Sorry, I meant SDL, rather than ALSA

habys commented on 2017-07-02 22:20

Anyone only getting OpenAL for audio? Ideally there would also be JACK and ALSA

v1n33t commented on 2017-02-01 12:44

PKBUILD needs updating
change -DPYTHON_VERSION=3.5m \
to -DPYTHON_VERSION=3.6m \

stativ commented on 2016-08-22 20:10

Good catch!

sandstorm commented on 2016-08-20 06:07

Although the package name is blender-git, the name set by blender.desktop is blender-svn. Can you change this?

stativ commented on 2016-07-28 19:47

Thanks guys! It should compile now.